package com.example.mascotaandroid;

/**
 * Esta clase sirve para trabajar con el estado de la mascota
 *
 */
public class Mascota {
	private int alimentacion;
	private int descanso;
	private int felicidad;
	
	private static int PORCENTAJE_REDUCIR = 1; //Porcentaje que se reduce al pasar un cierto intervalo de tiempo
	
	public int getAlimentacion() {
		return alimentacion;
	}
	public void setAlimentacion(int alimentacion) {
		if(alimentacion>100) alimentacion = 100;
		else if(alimentacion<0) alimentacion = 0;
		this.alimentacion = alimentacion;
	}
	public int getDescanso() {
		return descanso;
	}
	public void setDescanso(int descanso) {
		if(descanso>100) descanso = 100;
		else if(descanso<0) descanso = 0;
		this.descanso = descanso;
	}
	public int getFelicidad() {
		return felicidad;
	}
	public void setFelicidad(int felicidad) {
		if(felicidad>100) felicidad = 100;
		else if(felicidad<0) felicidad = 0;
		this.felicidad = felicidad;
	}
	
	/**
	 * Reduce el porcentaje de los estados
	 */
	public void reducirEstados(){
		if(alimentacion > 0){
			alimentacion = alimentacion - PORCENTAJE_REDUCIR;
			if(alimentacion<= 0)
				alimentacion=0;
		}
		
		if(descanso > 0){
			descanso = descanso - PORCENTAJE_REDUCIR;
			if(descanso<= 0)
				descanso=0;
		}
		
		if(felicidad > 0){
			felicidad = felicidad - PORCENTAJE_REDUCIR;
			if(felicidad<= 0)
				felicidad=0;
		}
	}
	
	
}
